## org.apache.tools.ant.taskdefs.optional.extension
Class LibFileSet

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.types.DataType
              org.apache.tools.ant.types.AbstractFileSet
                  org.apache.tools.ant.types.FileSet
                      org.apache.tools.ant.taskdefs.optional.extension.LibFileSet

All Implemented Interfaces:
  java.lang.Cloneable, SelectorContainer

public class LibFileSet
extends FileSet

LibFileSet represents a fileset containing libraries. Asociated with the libraries is data pertaining to how they are to be handled when building manifests.

Version:
  $Revision: 1.1.2.1 $ $Date: 2003/02/10 14:25:08 $
Author:
  Peter Donald

Field Summary

Fields inherited from class org.apache.tools.ant.types.DataType
`checked, description, ref`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`LibFileSet()`

Method Summary
`void` `setIncludeImpl(boolean includeImpl)` Flag indicating whether should include the "Implementation-*" attributes in manifest.
`void` `setIncludeUrl(boolean includeURL)` Flag indicating whether should include the "Implementation-URL" attribute in manifest.
`void` `setUrlBase(java.lang.String urlBase)` Set the url base for fileset.

Methods inherited from class org.apache.tools.ant.types.FileSet
`clone`

Methods inherited from class org.apache.tools.ant.types.AbstractFileSet

`addAnd, addContains, addCustom, addDate, addDepend, addDepth, addFilename, addMajority, addNone, addNot, addOr, addPresent, addSelector, addSize, appendSelector, createExclude, createExcludesFile, createInclude, createIncludesFile, createPatternSet, getDataTypeName, getDir, getDirectoryScanner, getRef, getSelectors, hasPatterns, hasSelectors, selectorCount, selectorElements, setCaseSensitive, setDefaultexcludes, setDir, setExcludes, setExcludesfile, setFile, setFollowSymlinks, setIncludes, setIncludesfile, setRefid, setupDirectoryScanner`

Methods inherited from class org.apache.tools.ant.types.DataType
`circularReference, dieOnCircularReference, getCheckedRef, getDescription, isReference, noChildrenAllowed, setDescription, tooManyAttributes`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, log, log, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LibFileSet

    public LibFileSet()

Method Detail

### setIncludeUrl

    public void setIncludeUrl(boolean includeURL)

  Flag indicating whether should include the "Implementation-URL" attribute in manifest. Defaults to false.

  Parameters:
    `includeURL` - the flag
  See Also:
    `#m_includeURL`

### setIncludeImpl

    public void setIncludeImpl(boolean includeImpl)

  Flag indicating whether should include the "Implementation-*" attributes in manifest. Defaults to false.

  Parameters:
    `includeImpl` - the flag
  See Also:
    `#m_includeImpl`

### setUrlBase

    public void setUrlBase(java.lang.String urlBase)

  Set the url base for fileset.

  Parameters:
    `urlBase` - the base url
  See Also:
    `#m_urlBase`

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.